Subject: Re: Q: bad routing table cache entries

From: Stas Sergeev <[email-masked]>
Date: Tue, 12 Jan 2016 20:33:49 +0300

12.01.2016 20:26, Hannes Frederic Sowa пишет:
> On 12.01.2016 18:18, Stas Sergeev wrote:
>> 12.01.2016 20:06, Hannes Frederic Sowa пишет:
>>> On 12.01.2016 17:56, Stas Sergeev wrote:
>>>> 12.01.2016 19:42, Stas Sergeev пишет:
>>>> Also the rfc1620 you pointed, seems to be saying this:
>>>>
>>>>                   A Redirect message SHOULD be silently discarded if the
>>>>                   new router address it specifies is not on the same
>>>>                   connected (sub-) net through which the Redirect arrived,
>>>>                   or if the source of the Redirect is not the current
>>>>                   first-hop router for the specified destination.
>>>>
>>>> It seems, this is exactly the rule we were trying to find
>>>> during the thread. And it seems violated, either. Unless I am
>>>> mis-interpreting it, of course.
>>>
>>> If you read on you will read that with shared_media this exact clause (the first of those) is not in effect any more.
>> OK. But how to get such a redirect to work, if (checked with
>> tcpdump) the packets do not even go to eth0, but to "lo"?
> 
> I don't know, the router must be on the same shared medium. I guess physical reconfiguration is required?
It is same.
Router 192.168.8.1 has just one ethernet port.
And even on the 192.168.10.202 node I can do:
# arp -a |grep "0.1"
? (192.168.0.1) at 14:d6:4d:1c:97:3d [ether] on eth0
So even 0.1 is about to be reachable.
Still nothing works.
Should it work if 192.168.0.1 router, to which 8.1 redirects,
has shared_media disabled?

>>> I don't know why shared_media=1 is the default in Linux, this decision was made long before I joined here. Anyway, with shared_media=1 this is absolutely the required behavior.
>> Then it should work. How? :)
> 
> What should work? Sorry, I can't follow you. Everything looks fine to me.
Except that pings do not flow.